@use 'node_modules/bootstrap/dist/css/bootstrap.css';

.header {
    @extend .container;
    // .header_navblock

    &_navblock {
        @extend .d-inline-flex;
        list-style: none;
        padding-left: 0;
        width: 100%;
        justify-content: space-between;
        flex-wrap: wrap
    }

    // .header__wrapper

    &__wrapper {
        @extend .row, .py-2;
    }

    // .header__logo

    &__logo {
        @extend .col-12, .col-sm-4;
        text-align: center;
    }

    // .header__navigation

    &__navigation {
        @extend .col-12, .col-sm-8;

    }

    // .header__navlink

    &__navlink {
        @extend .mx-3;
        text-align: center;
        flex: 1 1 auto;
    }

    &__login {
        display: flex;
        justify-content: flex-end;
    }

    &__login-btn {
        @extend .btn, .btn-primary, .me-2;
    }
    &__singup-btn {
        @extend .btn, .btn-outline-secondary, .me-2;
    }
}
